package com.trs.ggzyexchange.enums;

import java.util.HashMap;
import java.util.Map;

public class BulletinType {


    public  static String getBulletinTypeName(String bulletinTypeCode){
        Map<String,String> bulletinTypeMap = new HashMap<>();
        bulletinTypeMap.put("1","招标公告");
        bulletinTypeMap.put("2","资格预审公告");
        bulletinTypeMap.put("3","中标结果公告");
        bulletinTypeMap.put("4","资格预审结果公告");
        bulletinTypeMap.put("5","中标候选人公示");
        bulletinTypeMap.put("6","流/废标公告");
        bulletinTypeMap.put("7","中止公告");
        bulletinTypeMap.put("8","终止公告");
        bulletinTypeMap.put("9","其他");
        return bulletinTypeMap.get(bulletinTypeCode);
    }


    public  static String getNoticeNatureTypeName(String noticeNatureCode){
        Map<String,String> noticeNatureTypeMap = new HashMap<>();
        noticeNatureTypeMap.put("1","正常公告");
        noticeNatureTypeMap.put("2","更正公告");
        noticeNatureTypeMap.put("3","重发公告");
        noticeNatureTypeMap.put("4","其他");
        return noticeNatureTypeMap.get(noticeNatureCode);
    }

    //GcBidcandidatePostServiceImpl
    public  static String getBidcandidatePostName(String noticeNatureCode){
        Map<String,String> noticeNatureTypeMap = new HashMap<>();
        noticeNatureTypeMap.put("1","正常公告");
        noticeNatureTypeMap.put("2","更正公告");
        noticeNatureTypeMap.put("3","重发公告");
        noticeNatureTypeMap.put("4","其他");
        return noticeNatureTypeMap.get(noticeNatureCode);
    }
}
